(function ($) {

  "use strict";
  var WG = window.WG || {};
  window.WG = WG;
  
  WG.singlePost = function() {
    if( $('body').hasClass('single-wonder-grid') ) {
      
      var slidesPerView = $('.wonder-grid-post').hasClass('wg-column-1') ? 2 : 1;

      var mySwiper = new Swiper ('.swiper-container', {
        loop: true,
        slidesPerView: slidesPerView,
        spaceBetween: 20,
        centeredSlides: true,
        autoHeight: true,

        autoplay: {
          delay: 3000,
        },

        // If we need pagination
        pagination: {
          el: '.swiper-pagination',
          clickable: true
        },

        // Navigation arrows
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        }
      });

      $('.wg-sticky').sticky();
    }

    //Resize the overlay height
    function resizeOverlay() {
      $('.wg-project-item').each(function() {
            $(this).find('.project-thumbnail').css('height', $(this).find('img').height());
      });
    }

    $(window).load(function() { resizeOverlay(); });
    $(window).resize(function() { resizeOverlay(); });

  }

  WG.grid = function() {
    $('.wonder-grid').each(function() {
      
      // Isotope
      var container = '#' + $(this).children('.wonder-grid-container').attr('id');
      var filter = '#wg-filter-' + $(this).children('.wonder-grid-container').attr('data-id');
      var infiniteScroll = $(this).attr('data-infinite');

      var $grid = $(container).isotope({
        itemSelector: '.wg-project-item',
        animationEngine: "best-available",
        filter: "*",
        percentPosition: true,
        masonry: {
          columnWidth: '.wg-project-item'
        }
      });

      $(filter + ' a').click(function(){
          var selector = $(this).attr("data-filter");
          $(container).isotope({ 
            filter: selector,
            layoutMode: "fitRows",
            percentPosition: true,
            masonry: {
              columnWidth: '.wg-project-item'
            }
          });
          $(this).parent().attr("class","wg-filter-active");
          $(this).parent().siblings().removeAttr("class");
          return false;
      });
    
      // Infinite Scroll
      if(infiniteScroll === '1' && $('.next').length > 0) {
        $(container).infiniteScroll({
            // options
            path: '.next',
            append: false,
            history: false,
            status: '.page-load-status'
        });
        
        $(container).on( 'load.infiniteScroll', function(event, response ) {
              // get posts from response
              var $new_items = $( response ).find('.wg-project-item');
              
              // Append Items to Masonry Layout
              // append posts after images loaded
              $(container).infiniteScroll('appendItems', $new_items )
                .isotope('appended', $new_items);

              $(container).imagesLoaded().progress( function() {
                $(container).isotope({
                  itemSelector: '.wg-project-item',
                  animationEngine: "best-available",
                  filter: "*",
                  percentPosition: true,
                  masonry: {
                    columnWidth: '.wg-project-item'
                  }
                });
              });
        });
      }
      
      /* Lazy load */
      var lazyLoadInstance = new LazyLoad({
          elements_selector: ".lazy-load"
      });

    });

  }
  
  WG.singlePost();
  WG.grid();

})(jQuery);