<?php
/**
 * Wonder Grid Grid For WPBakery Page Builder
 *
 * @package Wonder Grid
 * @since   1.0.0
 */

defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'wonder_grid_wpb')) {
   function wonder_grid_wpb(){

      if ( function_exists( 'vc_map' ) ) {
         vc_map( array(
            "name"           => esc_html__( "Wonder Grid", "wonder-grid" ),
            "base"           => "wonder_grid",
            "class"          => "wonder_grid",
            "admin_enqueue_css" => WG_ROOT_DIR . 'assets/css/wpb-admin.css',
            "icon"           => 'wg_icon',
            "category"       => 'Wonder Grid',
            'custom_markup'  => '',
            'description'    => esc_html__( 'Show your team member informations.', 'wonder-grid' ),
            "params"         => array(
         	   array(
                  "type"       => "textfield",
                  "holder"     => "div",
                  "class"      => "wg_number",
                  "heading"    => esc_html__( "Number of Items Per Page", "wonder-grid" ),
                  "param_name" => "number",
                  "value"      =>  '9'
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_columns",
                  "heading"    => esc_html__( "Columns", "wonder-grid" ),
                  "param_name" => "columns",
                  "value"      => array(
                    esc_html__( "Grid: 2 Columns", "wonder-grid" )  => '2',
                    esc_html__( "Grid: 3 Columns", "wonder-grid" )  => '3',
                    esc_html__( "Grid: 4 Columns", "wonder-grid" )  => '4',
                    esc_html__( "Grid: 5 Columns", "wonder-grid" )  => '5'
                  ),
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_title_position",
                  "heading"    => esc_html__( "Title Position", "wonder-grid" ),
                  "param_name" => "title_position",
                  "value"      => array(
                    esc_html__( "Outside the box", "wonder-grid" ) => 'outside',
                    esc_html__( "Inside the box", "wonder-grid" )  => 'inside'
                   ),
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_orderby",
                  "heading"    => esc_html__( "Order By", "wonder-grid" ),
                  "param_name" => "orderby",
             		  "value"      => array(
                		  esc_html__( 'Date', 'wonder-grid' )   => 'date',
                		  esc_html__( 'Random', 'wonder-grid' ) => 'rand',
                	),
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_order",
                  "heading"    => esc_html__( "Order", "wonder-grid" ),
                  "param_name" => "orderby",
                  "value"      => array(
                    esc_html__( 'Desc', 'wonder-grid' )   => 'desc',
                    esc_html__( 'Asc', 'wonder-grid' )    => 'asc',
                   ),
               ),

         	     array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_filter",
                  "heading"    => esc_html__( "Category Filter", "wonder-grid" ),
                  "param_name" => "filter",
            		  "value"      => array(
              		  esc_html__( 'No', 'wonder-grid' )  => '0',
              		  esc_html__( 'Yes', 'wonder-grid' ) => '1'
            		  )
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_pagination",
                  "heading"    => esc_html__( "Enable Pagination", "wonder-grid" ),
                  "param_name" => "pagination",
                  "value"      => array(
                    esc_html__( 'No', 'wonder-grid' )  => '0',
                    esc_html__( 'Yes', 'wonder-grid' ) => '1'
                  )
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_infinite",
                  "heading"    => esc_html__( "Enable Infinite Scroll", "wonder-grid" ),
                  "param_name" => "infinite",
                  "value"      => array(
                    esc_html__( 'No', 'wonder-grid' )  => '0',
                    esc_html__( 'Yes', 'wonder-grid' ) => '1'
                  )
               ),

               array(
                  "type"       => "dropdown",
                  "holder"     => "div",
                  "class"      => "wg_hover_animation",
                  "heading"    => esc_html__( "Hover Animation", "wonder-grid" ),
                  "param_name" => "hover_animation",
                  "value"      => array(
                    esc_html__( 'No Animation', 'wonder-grid' )  => 'no-animation',
                    esc_html__( 'Zoom In', 'wonder-grid' )       => 'zoom-in',
                    esc_html__( 'Zoom Out', 'wonder-grid' )      => 'zoom-out',
                    esc_html__( 'Shine', 'wonder-grid' )         => 'shine',
                    esc_html__( 'Flash', 'wonder-grid' )         => 'flash',
                    esc_html__( 'Circle', 'wonder-grid' )        => 'circle',
                    esc_html__( 'Inner Border', 'wonder-grid' )  => 'inner-border',
                    esc_html__( 'Brightness', 'wonder-grid' )    => 'brightness'
                  )
               ),

               array(
                  "type"       => "textfield",
                  "holder"     => "div",
                  "class"      => "wg_categories",
                  "heading"    => esc_html__( "Categories", "wonder-grid" ),
                  "description"=> esc_html__( "Add project type slugs here, multiple slugs should be separated by English comma." ),
                  "param_name" => "categories"
               )

            )

         ) );
      }
   }
}

add_action( 'after_setup_theme', 'wonder_grid_wpb', 20 );
