<?php
/**
 * CMB2 Extensions
 * Load extensions file
 */

final class WG_CMB2_Extensions {
    
    /**
     * Initalizes any extensions found in the extensions directory.
     */
    static public function init()
    {
        $extensions = glob( CMB2_DIR . 'extensions/*' );

        if ( ! is_array( $extensions ) ) {
            return;
        }
        
        foreach ( $extensions as $extension ) {
            
            if ( ! is_dir( $extension ) ) {
                continue;   
            }
            $path = trailingslashit( $extension ) . basename( $extension ) . '.php';
            if ( file_exists( $path ) ) {
                require_once $path;
            }
        }
    }
}

WG_CMB2_Extensions::init();