<?php
/**
 * Wonder Grid Category Template MetaBox
 *
 * @package Wonder Grid
 * @since   1.0.0
 */

defined( 'ABSPATH' ) || exit;

function wonder_grid_type_metabox() {
    $prefix = '_wonder_grid_type_';

    $form = new_cmb2_box( array(
        'id'            => $prefix . '_metabox',
        'title'         => esc_html__( 'Portfolio Type Settings', 'wonder-grid' ),
        'object_types'  => array( 'term' ),
        'taxonomies'    => array( 'wonder-grid-type' ), 
        'context'       => 'normal',
        'priority'      => 'high',
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Columns', 'wonder-grid' ),
        'id'   => $prefix . 'columns',
        'type' => 'select',
        'default' => '3',
        'options' => array(
            '2' => esc_html__( 'Grid: 2 Columns', 'wonder-grid' ),
            '3' => esc_html__( 'Grid: 3 Columns', 'wonder-grid' ),
            '4' => esc_html__( 'Grid: 4 Columns', 'wonder-grid' ),
            '5' => esc_html__( 'Grid: 5 Columns', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Title Position', 'wonder-grid' ),
        'id'   => $prefix . 'title_position',
        'type' => 'select',
        'default' => 'outside',
        'options' => array(
            'outside' => esc_html__( 'Outside Box', 'wonder-grid' ),
            'inside' => esc_html__( 'Inside Box', 'wonder-grid' )
        )
    ) );

    $form->add_field( array(
        'name' => esc_html__( 'Hover Animation', 'wonder-grid' ),
        'id'   => $prefix . 'hover_animation',
        'type' => 'select',
        'default' => 'no-animation',
        'options' => array(
            'no-animation' => esc_html__( 'No Animation', 'wonder-grid' ),
            'zoom-in' => esc_html__( 'Zoom In', 'wonder-grid' ),
            'zoom-out' => esc_html__( 'Zoom Out', 'wonder-grid' ),
            'shine' => esc_html__( 'Shine', 'wonder-grid' ),
            'circle' => esc_html__( 'Circle', 'wonder-grid' ),
            'inner-border' => esc_html__( 'Inner Border', 'wonder-grid' ),
            'flash' => esc_html__( 'Flash', 'wonder-grid' ),
            'brightness' => esc_html__( 'Brightness', 'wonder-grid' )
        )
    ) );


    $form->add_field( array(
        'name' => esc_html__( 'Enable Infinite Scroll', 'wonder-grid' ),
        'id'   => $prefix . 'infinite',
        'type' => 'select',
        'default' => 0,
        'options' => array(
            0 => esc_html__( 'No', 'wonder-grid' ),
            1 => esc_html__( 'Yes', 'wonder-grid' )
        )
    ) );
}

add_action('cmb2_admin_init', 'wonder_grid_type_metabox' );