<?php
/**
 * Project Grid Item
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'wonder-grid' folder in the theme folder,
 * then, copy this file to wonder-grid folder.
 * @version 1.0.0
 * @package Wonder Grid
 */

$wg_item_class = $wg_data->title_position . ' wg-' . $wg_data->hover_animation . ' ' . wg_taxonomy_slug();
?>
<div class="wg-project-item <?php echo $wg_item_class; ?> <?php echo apply_filters( 'wonder_grid_item_extra_class', '' );?>">

	<div class="project-thumbnail">
	  
	  <?php 
	  /**
	   * Hook for adding new elements before the thumbnail
	   * Usage: add_action( 'wonder_grid/grid_item_before_thumbnail', 'YOUR FUNCTION' )
	   */
	  do_action( 'wonder_grid/grid_item_before_thumbnail' );
	  ?>

	  <figure>
	  	<a href="<?php the_permalink();?>" title="<?php the_title();?>">
	  	<?php 
	  		the_post_thumbnail( 
	  		'medium', 
	  		array( 'alt' => get_the_title(), 
		  		   'class' => 'lazy-load', 
		  		   'data-src' => get_the_post_thumbnail_url( get_the_ID(), 'wonder-grid-columns-' . $wg_data->columns )
		  		  )
	  		); 
	  	?>	   	
	  	</a>
	  </figure>

	  <?php if( $wg_data->title_position == 'inside' ) : ?>
	  	<div class="wg_item_info">
			<h4 class="wg_title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
			<?php echo wg_taxonomy( get_the_ID() ); ?>
		</div>
      <?php endif; ?>

	</div>

	<?php if( $wg_data->title_position == 'outside' ) : ?>
		
		<?php 
		/**
	     * Hook for adding new elements before the title
	     * Usage: add_action( 'wonder_grid/grid_item_before_title', 'YOUR FUNCTION' )
	     */
		do_action( 'wonder_grid/grid_item_before_title' );
		?>
		
		<h4 class="wg_title"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h4>
		<?php wg_taxonomy( get_the_ID() );?>

		<?php 
		/**
	     * Hook for adding new elements after the title
	     * Usage: add_action( 'wonder_grid/grid_item_after_title', 'YOUR FUNCTION' )
	     */
		do_action( 'wonder_grid/grid_item_after_title' );
		?>
    <?php endif; ?>

</div>