<?php
/**
 * The project type taxonomy template
 * If you want to override this template by your custom template in the theme folder,
 * tust create the 'wonder-grid' folder in the theme folder,
 * then, copy this file to wonder-grid folder.
 * @version 1.0.0
 * @package Wonder Grid
 */

get_header();

  /**
   * Hooked Function: wg_wrapper_start
   * @see includes/functions.php
   */
   do_action( 'wonder_grid/tax_wrapper_start' );
?>
<div class="wonder-grid-tax-title text-align-center">
	<h1 itemprop="name"><?php echo apply_filters( 'wg_tax_title', single_term_title( '', false ) ); ?></h1>
	<div class="desc"><?php echo get_the_archive_description(); ?></div>
</div>

<?php do_action( 'wonder_grid/before_tax_grid_container' ); ?>

<div class="wonder-grid" data-infinite="<?php echo $GLOBALS['Wonder_Grid']->type_setting( 'type_infinite' ); ?>">
	<div id="wg-grid-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>" class="wonder-grid-container <?php echo 'wg-grid-columns-' . $GLOBALS['Wonder_Grid']->type_setting( 'type_columns' ); ?>">
		<?php if ( have_posts() ) : ?>

			<?php  
			    $args = array( 
		          'title_position' => $GLOBALS['Wonder_Grid']->type_setting( 'type_title_position' ),
		          'hover_animation' => $GLOBALS['Wonder_Grid']->type_setting( 'type_hover_animation' ),
		          'columns' => $GLOBALS['Wonder_Grid']->type_setting( 'type_columns' )
		        );
				while ( have_posts() ) : 
				the_post(); 
				
				/**
				 * Hooked Function: wonder_grid_grid_item
				 * @see includes/functions.php
				 */
				do_action( 'wonder_grid/grid_items', $args );
				endwhile;
		    ?>

	    <?php else: ?>

	    	<p><?php esc_html_e( 'No project found.', 'wonder-grid' ); ?></p>

	    <?php endif;?>
	</div>

	<?php wg_pagination(); ?>
</div>

<?php 
  do_action( 'wonder_grid/after_tax_grid_container' ); 

  /**
   * Hooked Function: wg_wrapper_close
   * @see includes/functions.php
   */
   do_action( 'wonder_grid/tax_wrapper_close' );

get_footer();